cURL
curl --request DELETE \
--url https://api.collective.work/{environment}/v1/job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.collective.work/{environment}/v1/job"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.collective.work/{environment}/v1/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/job"
payload := strings.NewReader("{\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.collective.work/{environment}/v1/job")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"jobId": "cm71yqftr00000ck0bpz3hpg1",
"internalJobId": "CLIENT-123",
"jobUrl": "https://www.collective.work/jobs/en/full-stack-developer-paris-8rnv",
"accountEmail": "recruiter@example.com",
"status": "CLOSED",
"isExpired": true,
"expirationDate": "2026-10-23T09:30:00.000Z",
"closedAt": "2026-10-23T09:30:00.000Z",
"createdAt": "2026-10-22T09:30:00.000Z",
"title": "Full Stack Developer",
"companyName": "Collective",
"companyLogoUrl": "https://assets.collective.work/logos/collective.png",
"budget": "600-750€/day",
"isSalaryAccordingToProfile": false,
"contractType": "FREELANCE",
"location": "Paris, France",
"workPreferences": [
"REMOTE",
"HYBRID"
],
"skills": [
"TypeScript",
"React"
],
"language": "en",
"description": "<p>We are looking for a full stack developer.</p>",
"profileWanted": "<p>5 years of experience with TypeScript.</p>",
"questions": [
"Why are you interested in this job?"
],
"requirePhoneNumber": false,
"notifyByEmailForEveryApplication": false
}{
"message": "Invalid authorization header: Please provide a valid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Job API Endpoints
Close a job
Close a job and return its full content with status CLOSED and a closing date in closedAt. Closing expires the job and its applications immediately. Closed jobs cannot be reopened. Applications remain accessible after closing.
DELETE
/
job
cURL
curl --request DELETE \
--url https://api.collective.work/{environment}/v1/job \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>"
}
'import requests
url = "https://api.collective.work/{environment}/v1/job"
payload = { "id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '<string>'})
};
fetch('https://api.collective.work/{environment}/v1/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/job"
payload := strings.NewReader("{\n \"id\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.collective.work/{environment}/v1/job")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"jobId": "cm71yqftr00000ck0bpz3hpg1",
"internalJobId": "CLIENT-123",
"jobUrl": "https://www.collective.work/jobs/en/full-stack-developer-paris-8rnv",
"accountEmail": "recruiter@example.com",
"status": "CLOSED",
"isExpired": true,
"expirationDate": "2026-10-23T09:30:00.000Z",
"closedAt": "2026-10-23T09:30:00.000Z",
"createdAt": "2026-10-22T09:30:00.000Z",
"title": "Full Stack Developer",
"companyName": "Collective",
"companyLogoUrl": "https://assets.collective.work/logos/collective.png",
"budget": "600-750€/day",
"isSalaryAccordingToProfile": false,
"contractType": "FREELANCE",
"location": "Paris, France",
"workPreferences": [
"REMOTE",
"HYBRID"
],
"skills": [
"TypeScript",
"React"
],
"language": "en",
"description": "<p>We are looking for a full stack developer.</p>",
"profileWanted": "<p>5 years of experience with TypeScript.</p>",
"questions": [
"Why are you interested in this job?"
],
"requirePhoneNumber": false,
"notifyByEmailForEveryApplication": false
}{
"message": "Invalid authorization header: Please provide a valid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Authorizations
Your organization API key, available in Organisation settings.
Body
application/json
Response
Job successfully closed
Was this page helpful?

